Release CoCoA-5.4.0

03 Jul 2020 15:27 - John Abbott

Status: Closed Start date: 03 Jul 2020

Priority: Urgent Due date:  

Assignee:  % Done: 100%

Category: Release Estimated time: 0.00 hour

Target version: CoCoA-5.4.0 Spent time: 1.60 hour

Description

Everything for the release

CHECK FOR BUGS

    Compile with --debug flag, and check that everything runs OK.

    In src/CoCoA-5/ run make ManExamples, and check that everything is OK.

 

Redmine Roadmap: close or postpone issue

    Redmine Release issues: check percentages, check timings

    Last check to CoCoALib doc, CoCoA-5 doc and RelNotes, TranslationTable.

    Finalize

 

version number for CoCoALib release: configuration/version

    version number for CoCoA-5 release: CoCoA-5/release-files/version

    cvs checkout in snapshot dir

 

cd snapshotdir

    configure --again

    make

    cd src/CoCoA-5

    time make doc

    time make ManExamples (~4min, and search "ERROR:" in ManExamples-out)

    ls-lt CoCoAManual/html

 

RELEASE FOR MAC FOR LINUX

cd src/CoCoA-5/release-files

    ./release-mac.sh (local)

    ./release-linux.sh (on virtual machine 64-bit and on 32-bit)

 

RELEASE COCOALIB

~/shell-scripts/cocoalib-cvs-snapshot

    ---- make release for CoCoALib ----

 

RELEASE FOR WIN

copy cocoalib tgz on windows virtual machine

    compile windows text version on virtual machine, copy CoCoAInterpreter from SharedFolder into 

local dir

    ./release-win.sh
    (ask someone for windows gui version...)

 

WEBSITE

update /Volumes/WWW/webcocoa/download/download5.shtml

    update /Volumes/WWW/webcocoa/download/RelNotes.shtml

    [[http://cocoa.dima.unige.it/download/RelNotes.shtml]]

 

upload manual

    publish manual (arXiv? ResearchGate?)

 

close release on Redmine

 

---> send message to facebook page

---> send email

---> update list with undelivered emails

History

#1 - 03 Jul 2020 15:28 - John Abbott

Here are some release notes:

new fn IsEmpty (for lists)

new fn RandomSmallPrime (exported from CoCoALib)

new fn RootBoundTransform

new fn HadamardBoundSq  (exported from CoCoALib)

new fn FrobeniusNormSq  (exported from CoCoALib)

new fn IsAtEOF  (for testing for end of input)

automatic promotion of ring elems (in some circumstances)

new fn ElapsedTime

new fn substring

new prototype fn MinGBoverZZ (see issue #1272)

fn SmoothFactor has been renamed to FactorINT_TrialDiv; new fns FactorINT and FactorINT_PollardRho

revised impl for MinSubsetOfGens (usually faster than before -- may give different results)

revised semantics for UnivariateIndetIndex: now gives error if arg is a constant poly.

removed apply: just use function call syntax instead!

removed/renamed fns  RationalAffinePoints and RationalProjectivePoints  (use RationalSolve and RationalSolveHomog instead)

semantics of RationalSolve changed: now computes only affine solns, and return value is now a record

new fn RationalSolveHomog -- effectively replaces RationalProjectivePoints

double exponent warning: expr like x^2^3 produce a warning with a recommendation to use brackets

xel may now be specified as an ordering when creating a polyring.
https://cocoa.dima.unige.it/redmine/issues/1272


#2 - 03 Feb 2022 18:52 - John Abbott

I'm wondering whether we should release 5.3.4 as soon as practicable... otherwise I doubt I'll be able to help make a release this year!

#3 - 03 Feb 2022 19:41 - John Abbott

- Priority changed from Normal to Urgent

If we do make a hurried release (as I recommend), should we include a "health warning" that it is a hasty release?

#4 - 03 Feb 2022 20:01 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 20

I have been postponing lots of issues which cannot be closed in the very immediate future.

I really hope we can get 5.3.4 out fast... to avoid that long delay!

#5 - 05 Feb 2022 20:40 - John Abbott

- % Done changed from 20 to 40

#6 - 06 Feb 2022 08:58 - John Abbott

- % Done changed from 40 to 50

Current CVS compiles, runs and all tests pass on Linux-64,  Linux-32 and my old MacBook.

#7 - 18 Feb 2022 17:40 - John Abbott

Consider the number of changes since the last "official" release (5.3.2), and decide whether to call this one 5.3.4 or 5.4.0.

#8 - 23 Feb 2022 12:04 - Anna Maria Bigatti

- Subject changed from Release CoCoA-5.3.4 to Release CoCoA-5.4.0

#9 - 03 Mar 2022 16:38 - Anna Maria Bigatti

- Description updated

#10 - 13 Jun 2022 15:14 - John Abbott

Shouldn't this issue be closed now?  The release has been made.

#11 - 13 Jun 2022 15:33 - Redmine Admin

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
